Subject: RE: [PATCH 1/2] linux-firmware: update firmware for RTL8111E

From: Ben Hutchings <[email-masked]>
Date: Tue, 17 May 2011 03:39:47 +0100

On Tue, 2011-05-10 at 10:09 +0800, hayeswang wrote:
> 
> Francois Romieu [mailto:[email-masked]] 
> > Sent: Tuesday, May 10, 2011 3:23 AM
> > To: David Woodhouse
> > Cc: Hayeswang; [email-masked]
> > Subject: Re: [PATCH 1/2] linux-firmware: update firmware for RTL8111E
> > 
> > David Woodhouse <[email-masked]> :
> > [...]
> > > I'd be a lot happier if the WHENCE file contained version numbers. 
> > > Does the *driver* print a version string for the firmware 
> > after loading it?
> > 
> > No.
> > 
> > Hayes, do we agree that the firmware needs to embed a version 
> > identifier (and some checksum to identify the current 
> > firmware that don't embed one).
> > 
> 
> I agree that. However, I have no idea about making it compatible with previous
> parser and firmware. Let me think if there is a good way to do this.

A PHY_DATA_AND at the beginning of a firmware blob instruction is a
no-op, so you could use that to add version information in a compatible
way.  For RTL8168D, however, you are right that this would break
compatibility with the earlier driver versions that only handled
PHY_WRITE.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.